#include "deletetestwidget.h"
#include "ui_deletetestwidget.h"
#include <QDebug>
#include <QSqlQuery>


deletetestwidget::deletetestwidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::deletetestwidget)
{
    ui->setupUi(this);
    returnButton = new QPushButton("Назад", this);
    returnButton->show();
    submit = new QPushButton("Удалить", this);
    submit->show();
    ui->verticalLayout->addWidget(submit,0,Qt::AlignmentFlag::AlignBottom);
    connect(submit, SIGNAL(clicked()), this, SLOT(deleteTest()));
}

deletetestwidget::~deletetestwidget()
{
    delete ui;
}

void deletetestwidget::receiveDataBase(const QSqlDatabase &p_db)
{
    db = p_db;
}

void deletetestwidget::deleteTest()
{
    /* QString testName = ui->lineEdit->text();
    QSqlQueryModel *model = new QSqlQueryModel();
    model->setQuery(QSqlQuery("DELETE FROM tests WHERE name = '" + testName + "';",db));
    if(model->query().lastError().type() == QSqlError::NoError )
    {
        qDebug() << model->query().lastError().text();
        message = new QMessageBox();
        message->setText("Тест " + testName + " успешно удален");
        message->show();

    }
    else
    {
        err = new QErrorMessage();
        err->showMessage("Такого теста не существует");
    }
    //query->exec("DELETE FROM tests_questions WHERE name = '" + testName + "';")*/

    QString testName = ui->lineEdit->text();
    QSqlQueryModel *model = new QSqlQueryModel();
    model->setQuery(QSqlQuery("SELECT FROM tests WHERE name = '" + testName + "';",db));
    if(model->query().size() == 0 )
    {
        err = new QErrorMessage();
        err->showMessage("Такого теста не существует");
    }
    else
    {
        qDebug() << model->query().lastError().text();
        model->setQuery(QSqlQuery("DELETE FROM tests WHERE name = '" + testName + "';",db));
        message = new QMessageBox();
        message->setText("Тест " + testName + " успешно удален");
        message->show();
    }
}
