#include "testentity.h"
#include <math.h>

TestEntity::TestEntity() {

}

QVector<QuestionEntity> TestEntity::getQuestions() const
{
    return this->questions;
}

void TestEntity::setQuestions(QVector<QuestionEntity> &p_questions)
{
    this->questions = p_questions;
}

void TestEntity::setName(QString &p_name)
{
    this->name = p_name;
}

void TestEntity::setId(int p_id)
{
    id = p_id;
}

void TestEntity::checkQuestions(const QVector<QSet<QString> > &p_answers)
{
    int questionSize = this->questions.size();
    float trueSize = 0;
    for(int i = 0; i < questionSize; i++){
        if (this->questions.at(i).checkAnswers(p_answers.at(i))) { ++trueSize; };
    }

    this->percentage = trunc((trueSize / questionSize) * 100);
}

int TestEntity::getId()
{
    return this->id;
}

QString TestEntity::getName() const
{
    return this->name;
}


unsigned int TestEntity::getPercentage() const
{
    return this->percentage;
}
